import os
import subprocess
import argparse
import shutil
from pathlib import Path

iso_a="/mnt/iso"
squ_a="/var/opt/kpct/iso"

def parse_args():
    parser = argparse.ArgumentParser(description='Check if a package can run on a specific OS version')

    parser.add_argument("-name", type=str, required=False,help='os-path')
    return parser.parse_args()

def main():
    args = parse_args()
    origin_root=os.getcwd()
    print(origin_root)

    os.chroot(squ_a)
    os.chdir("/")

    kcc_cmd="python3 /UpgradeCheck/main.py admin dpkg-l -s "+args.name+" /var/"+args.name+".db"
    res_cmd = subprocess.run(kcc_cmd, shell=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
    print(res_cmd.stdout.decode('utf-8'))
    print(res_cmd.stderr.decode('utf-8'))


if __name__ == '__main__':
    main()